set-op.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Sequence
| Sequence propagators

## Enumerations

enum | Gecode::Int::Sequence::TakesStatus { Gecode::Int::Sequence::TS_NO , Gecode::Int::Sequence::TS_YES , Gecode::Int::Sequence::TS_MAYBE }
| Status of whether a view takes a value from a set. More...

## Functions

template<class View>
TakesStatus | Gecode::Int::Sequence::takes (const View &x, int s)
| Return whether view x takes value s.
template<class View>
TakesStatus | Gecode::Int::Sequence::takes (const View &x, const IntSet &s)
| Return whether view x takes value from s.
template<class View>
bool | Gecode::Int::Sequence::includes (const View &x, int s)
| Test whether all values of view x are included in s.
template<class View>
bool | Gecode::Int::Sequence::includes (const View &x, const IntSet &s)
| Test whether all values of view x are included in s.
template<class View>
bool | Gecode::Int::Sequence::excludes (const View &x, int s)
| Test whether all values of view x are excluded from s.
template<class View>
bool | Gecode::Int::Sequence::excludes (const View &x, const IntSet &s)
| Test whether all values of view x are excluded from s.
template<class View>
bool | Gecode::Int::Sequence::undecided (const View &x, int s)
| Test whether no decision on inclusion or exclusion of values of view x in s can be made.
template<class View>
bool | Gecode::Int::Sequence::undecided (const View &x, const IntSet &s)
| Test whether no decision on inclusion or exclusion of values of view x in s can be made.
template<class View>
ModEvent | Gecode::Int::Sequence::include (Space &home, View &x, int s)
| Prune view x to only include values from s.
template<class View>
ModEvent | Gecode::Int::Sequence::include (Space &home, View &x, const IntSet &s)
| Prune view x to only include values from s.
template<class View>
ModEvent | Gecode::Int::Sequence::exclude (Space &home, View &x, int s)
| Prune view x to exclude all values from s.
template<class View>
ModEvent | Gecode::Int::Sequence::exclude (Space &home, View &x, const IntSet &s)
| Prune view x to exclude all values from s.